using System;
using System.Windows;

internal sealed class Delegate519 : MulticastDelegate
{
	public extern object Invoke(ref DependencyPropertyChangedEventArgs dependencyPropertyChangedEventArgs_0);

	public static object smethod_0(ref DependencyPropertyChangedEventArgs dependencyPropertyChangedEventArgs_0, Delegate519 delegate519_1)
	{
		return delegate519_1(ref dependencyPropertyChangedEventArgs_0);
	}

	public extern Delegate519(object object_0, IntPtr intptr_0);

	static Delegate519()
	{
		Class10.smethod_13(typeof(Delegate519).TypeHandle);
	}

	internal static Delegate519 delegate519_0;
}
